- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# na_elementsw_cluster – NetApp Element Software Create Cluster

New in version 2.7.

- Synopsis

- Requirements

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- Initialize Element Software node ownership to form a cluster.

## Requirements

The below requirements are needed on the host that executes this module.

- The modules were developed with SolidFire 10.1

- solidfire-sdk-python (1.1.0.92) or greater. Install using ‘pip install solidfire-sdk-python’

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
accept_eula boolean | Choices: no yes | Required to indicate your acceptance of the End User License Agreement when creating this cluster. To accept the EULA, set this parameter to true.
attributes - |  | List of name-value pairs in JSON object format.
cluster_admin_password - |  | Initial password for the cluster admin account. If not provided, default to login password.
cluster_admin_username - |  | Username for the cluster admin. If not provided, default to login username.
hostname - / required |  | The hostname or IP address of the SolidFire cluster.
management_virtual_ip - / required |  | Floating (virtual) IP address for the cluster on the management network.
nodes - / required |  | Storage IP (SIP) addresses of the initial set of nodes making up the cluster. nodes IP must be in the list.
password - / required |  | Password for the specified user. aliases: pass
replica_count - | Default: "2" | Number of replicas of each piece of data to store in the cluster.
storage_virtual_ip - / required |  | Floating (virtual) IP address for the cluster on the storage (iSCSI) network.
username - / required |  | Please ensure that the user has the adequate permissions. For more information, please read the official documentation https://mysupport.netapp.com/documentation/docweb/index.html?productID=62636&language=en-US. aliases: user

## Notes

Note

- The modules prefixed with na\_elementsw are built to support the SolidFire storage platform.

## Examples

    - name: Initialize new cluster
      tags:
      - elementsw_cluster
      na_elementsw_cluster:
        hostname: "{{ elementsw_hostname }}"
        username: "{{ elementsw_username }}"
        password: "{{ elementsw_password }}"
        management_virtual_ip: 10.226.108.32
        storage_virtual_ip: 10.226.109.68
        replica_count: 2
        accept_eula: true
        nodes:
        - 10.226.109.72
        - 10.226.109.74

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
msg string | success | Success message

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by an Ansible Partner. [certified]

### Authors

- NetApp Ansible Team (@carchi8py) <ng-ansibleteam@netapp.com>

Hint

If you notice any issues in this documentation, you can edit this document to improve it.